<?php 
/* template name: About */
get_header(); ?>

<?php

// check if the flexible content field has rows of data
if( have_rows('about_blocks') ):

     // loop through the rows of data
    while ( have_rows('about_blocks') ) : the_row();

        // banner
        if( get_row_layout() == 'banner' ):

        	?>

            <div class="top-banner">
                <i class="bg" style='background:url(<?php the_sub_field('background'); ?>)'></i>
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <p><?php the_sub_field('subtitle'); ?></p>
                </div>
            </div>

            <?php
        
        // Section Text 1
        elseif( get_row_layout() == 'section_text_1' ): 

            ?>

        	<div class="section_text_1">
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <?php the_sub_field('description'); ?>
                </div>
            </div>

            <?php

        // Big Text Section
        elseif( get_row_layout() == 'big_text_section' ):

            ?>

            <div class="big_text_section">
                <div class="container">
                    <p class="big-t"><?php the_sub_field('text'); ?></p>
                </div>
            </div>

            <?php
        
        // Two Cols Section 1
        elseif( get_row_layout() == 'two_cols_section_1' ):
            
            ?>

            <div class="two_cols_section_1">
                <div class="container">
                    <div>
                        <h5><?php the_sub_field('subtitle'); ?></h5>
                        <h3><?php the_sub_field('title'); ?></h3>
                        <p><?php the_sub_field('text'); ?></p>
                    </div>
                    <figure>
                        <img src="<?php the_sub_field('image'); ?>">
                    </figure>
                </div>
            </div>

            <?php

        // Grid Images
        elseif( get_row_layout() == 'grid_images' ):

        if( have_rows('image') ):

            // loop through the rows of data
            ?> <ul class="img-grid"> <?php
            while ( have_rows('image') ) : the_row();

                // display a sub field value
                ?> <li><img src="<?php the_sub_field('image'); ?>"></li> <?php

            endwhile;
            ?> </ul> <?php
        else :

            // no rows found

        endif;

        // Two Cols Section 2
        elseif( get_row_layout() == 'two_cols_section_2' ):

            ?>

            <div class="two_cols_section_2">
                <div class="container">
                    <div>
                        <?php the_sub_field('content'); ?>
                    </div>
                    <figure>
                        <img src="<?php the_sub_field('image'); ?>">
                    </figure>
                </div>
            </div>

            <?php


        // Video Section
        elseif( get_row_layout() == 'video_section' ):

            ?>
            
            <div class="video_section">
                <div class="container">
                    <h2>Watch Our Video</h2>
                    <div class="the-video">
                        <iframe src="https://player.vimeo.com/video/<?php the_sub_field('id_vimeo_video'); ?>?color=ffffff&title=0&byline=0&portrait=0" width="640" height="360" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
                    </div>
                </div>
            </div>

            <?php
        
        // Cta
        elseif( get_row_layout() == 'cta' ):

            ?>
            
            <div class="cta">
                <div class="container">
                    <h3><?php the_sub_field('title'); ?></h3>
                    <p><?php the_sub_field('text'); ?></p>
                    <a href="<?php the_sub_field('link_button'); ?>"><?php the_sub_field('text_button'); ?></a>
                </div>
            </div>

            <?php

        // new section here

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<?php get_footer(); ?>