<?php 
/* template name: Home */
get_header(); ?>

<?php

// check if the flexible content field has rows of data
if( have_rows('home_blocks') ):

     // loop through the rows of data
    while ( have_rows('home_blocks') ) : the_row();

        // slider
        if( get_row_layout() == 'slider' ):

        	?>

            <div class="main-banner">
                <i class="bg" style='background:url(<?php the_sub_field('image'); ?>)'></i>
                <div class="container">
                    <h2><?php the_sub_field('title'); ?></h2>
                    <p><?php the_sub_field('description'); ?></p>
                    <div class="btns">
                        <?php if( get_sub_field('link_learn_more') ): ?>
                            <a href="<?php the_sub_field('link_learn_more'); ?>">LEARN MORE</a>
                        <?php endif; ?> 
                        <?php if( get_sub_field('link_get_started') ): ?>
                            <a href="<?php the_sub_field('link_get_started'); ?>">GET STARTED</a>
                        <?php endif; ?> 
                    </div>
                    <div class="mockup-laptop">
                        <i class="default"></i>
                        <?php if( get_sub_field('video_laptop') ): ?>
                            <video>
                                <source src="<?php the_sub_field('video_laptop'); ?>" type="video/mp4">
                                Your browser does not support the video tag.
                            </video>
                        <?php endif; ?>    
                    </div>
                </div>
            </div>

            <?php
        
        // tabs
        elseif( get_row_layout() == 'tabs' ): 

            if( have_rows('content_tabs') ):

                ?> <h2 class="bottom-border">MPS Approach</h2><ul class="tabs-pes"> <?php

                while ( have_rows('content_tabs') ) : the_row();

                ?>  
                    <li>
                        <i><img class="icon-tab" src="<?php the_sub_field('icon_tab'); ?>"><img class="icon-tab-hover" src="<?php the_sub_field('icon_hover_tab'); ?>"></i>
                        <p><?php the_sub_field('title_tab'); ?></p>
                    </li>
                <?php

                endwhile;
                
                ?> </ul><ul class="tabs-content"> <?php

                while ( have_rows('content_tabs') ) : the_row();

                ?>  
                    <li>
                        <div>
                            <h5><?php the_sub_field('subtitle_content'); ?></h5>
                            <h3><?php the_sub_field('title_content'); ?></h3>
                            <?php the_sub_field('text_content'); ?>
                        </div>
                        <figure>
                            <img src="<?php the_sub_field('image_content'); ?>">
                        </figure>
                    </li>
                <?php

                endwhile;
                    
                ?> </ul> <?php
            
            endif;

            // logos
            elseif( get_row_layout() == 'logos' ):

            // check if the repeater field has rows of data
            if( have_rows('logo') ):

                ?> <div class="container logos-container"><h2>Delivering Great Results for Our Clients </h2><div class="carousel-logos"> <?php
                // loop through the rows of data
                while ( have_rows('logo') ) : the_row();
                ?>
                    <div><img src="<?php the_sub_field('image'); ?>"></div>

                <?php

                endwhile;
                
                ?> </div></div> <?php
            
            else :

                // no rows found

            endif;
    
            // add other section

        endif;

    endwhile;

else :

    // no layouts found

endif;

?>

<section class="testimonials">
    <div class="container">
        <h2>Loved by our Customers</h2>
        <div class="testimonials-content home">
            <?php 
                query_posts(array( 
                    'post_type' => 'testimonials',
                    'posts_per_page' => '100',
                    'order_by' => 'date',
                    'order' => 'ASC'
                ) );  
            ?>

            <?php while (have_posts()) : the_post(); ?>

                 <div>
                    <div class="item-testimonial">
                        <figure>
                            <img src="<?php the_field('picture'); ?>">
                        </figure>
                        <div>
                            <p><?php the_field('description'); ?></p>
                            <h4><?php the_title(); ?></h4>
                            <span><?php the_field('position'); ?></span>
                        </div>  
                    </div>
                 </div>

            <?php endwhile;?><?php wp_reset_query(); ?>
        </div>
    </div>
</section>

<section class="lastblockhome">
    <div class="container">
        <h2>Resources & Industry Insights</h2>
        <ul id="lastblockhome">
            <li>
                <div class="iimage">
                    <img src="<?php echo get_template_directory_uri(); ?>/img/img-col1.jpg">
                    <p>BLOG POST</p>
                </div>
                <div class="listpost">
                    <?php 
                        query_posts(array( 
                            'post_type' => 'post',
                            'posts_per_page' => '1',
                            'order_by' => 'date',
                            'order' => 'ASC'
                        ) );  
                    ?>

                    <?php while (have_posts()) : the_post(); ?>

                         <div>
                            <span class="entry-sup"><?php echo get_the_date(); ?></span>
                            <h4><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h4>
                         </div>

                    <?php endwhile;?><?php wp_reset_query(); ?>
                </div>
            </li>
            <li>
                <div class="iimage">
                    <img src="<?php echo get_template_directory_uri(); ?>/img/img-col2.jpg">
                    <p>GUIDES</p>
                </div>
                <div class="listpost">
                    <div>
                        <span class="entry-sup">Guides</span>
                        <?php 
                            query_posts(array( 
                                'post_type' => 'guides',
                                'posts_per_page' => '1',
                                'order_by' => 'date',
                                'order' => 'ASC'
                            ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>
                            <h4><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h4>
                        <?php endwhile;?><?php wp_reset_query(); ?>
                    </div>
                </div>
            </li>
            <li>
                <div class="iimage">
                    <img src="<?php echo get_template_directory_uri(); ?>/img/img-col3.jpg">
                    <p>WEBINARS</p>
                </div>
                <div class="listpost">
                    <div>
                        <span class="entry-sup">Amazon Vendor Strategy</span>
                        <?php 
                            query_posts(array( 
                                'post_type' => 'webinars',
                                'posts_per_page' => '1',
                                'order_by' => 'date',
                                'order' => 'ASC'
                            ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>
                            <h4><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h4>
                        <?php endwhile;?><?php wp_reset_query(); ?>
                    </div>
                </div>
            </li>
        </ul>
    </div>
</section>

<?php get_footer(); ?>