<?php 
/* template name: Resources */
get_header(); ?>

<div class="top-banner">
    <i class="bg" style='background:url(<?php the_field('background'); ?>)'></i>
    <div class="container">
        <h2><?php the_field('title'); ?></h2>
        <p><?php the_field('subtitle'); ?></p>
    </div>
</div>

<div class="body-resources">
    <div class="container">
        <div id="pre-resources">
            <ul>
                <li class="active"><a href="#">ALL TOPICS</a></li>
                <li><a href="#">MAKING VIDEO</a></li>
                <li><a href="#">USING VIDEO</a></li>
                <li><a href="#">COMPANY NEWS</a></li>
                <li><a href="#">PRODUCT UPDATES</a></li>
            </ul>
            <form role="search" method="get" id="searchform" class="searchform" action="<?php echo get_home_url(); ?>">
                <div>
                    <input type="text" value="" name="s" id="s" placeholder="Search">
                    <input type="submit" id="searchsubmit" value="Search">
                </div>
            </form>
        </div>

        <div id="content-resources">
            <div>
                <div id="featured-post">
                    <h2>Featured Blog Posts</h2>
                    <ul class="posts-zm-featured">

                        <?php 
                        query_posts(array( 
                            'post_type' => 'post',
                            'posts_per_page' => '1',
                            'order_by' => 'date',
                            'order' => 'DESC',
                            'tax_query' => array( 
                                array(
                                    'taxonomy' => 'category', 
                                    'field'    => 'slug',
                                    'terms'    => 'featured'
                                ),
                            )
                        ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>

                        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                        <li>
                            <div class="img-post-featured">
                                <i style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></i>
                            </div>
                            <div class="content-featured-post">
                                <h2><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h2>
                                <span><?php echo get_the_date(); ?></span>
                            </div>
                        </li>

                        <?php endwhile;?><?php wp_reset_query(); ?>       

                    </ul>
                </div>
                <div id="white-papers">
                    <h2>White Papers</h2>
                    <ul class="posts-zm-featured">

                        <?php 
                        query_posts(array( 
                            'post_type' => 'white_papers',
                            'posts_per_page' => '1',
                            'order_by' => 'date',
                            'order' => 'DESC',
                            'tax_query' => array( 
                                array(
                                    'taxonomy' => 'category_white_paper', 
                                    'field'    => 'slug',
                                    'terms'    => 'featured'
                                ),
                            )
                        ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>

                        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                        <li>
                            <div class="img-whitepaper">
                                <i style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></i>
                            </div>
                            <div class="content-whitepaper">
                                <h2><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h2>
                                <?php the_field('custom_excerpt'); ?>
                            </div>
                        </li>

                        <?php endwhile;?><?php wp_reset_query(); ?>       

                    </ul>
                </div>
                <div id="footer-post">
                    <h3>Case Studies</h3>
                    <ul>
                        <li>
                            <?php 
                            query_posts(array( 
                                'post_type' => 'case_studies',
                                'posts_per_page' => '1',
                                'order_by' => 'date',
                                'order' => 'DESC',
                                'tax_query' => array( 
                                    array(
                                        'taxonomy' => 'category_case_studies', 
                                        'field'    => 'slug',
                                        'terms'    => 'featured'
                                    ),
                                )
                            ) );  
                            ?>

                            <?php while (have_posts()) : the_post(); ?>

                            <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                            <div class="content-casestudies">
                                <div>
                                    <h2><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h2>
                                    <?php the_field('custom_excerpt'); ?>
                                    <a href="#">SUBSCRIBE</a>
                                </div>
                                <div class="img-casestudies">
                                    <i style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></i>
                                </div>
                            </div>

                            <?php endwhile;?><?php wp_reset_query(); ?>    
                        </li>
                        <li>
                            <div class="content-subscribe-c">
                                <h2>Subscribe Newsletter</h2>
                                <p>Amazon’s fulfillment expenses for their Prime ..</p>
                                <?php echo do_shortcode('[contact-form-7 id="314" title="Subscribe Compact"]'); ?>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div id="sidebar-resources">
                <div id="custom-widget-last-posts">
                    <h4>Blog Posts</h4>
                    <ul class="posts-zm">

                        <?php 
                        query_posts(array( 
                            'post_type' => 'post',
                            'posts_per_page' => '3',
                            'order_by' => 'date',
                            'order' => 'DESC'
                        ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>

                        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                        <li>
                            <div class="img-post">
                                <i style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></i>
                            </div>
                            <h2><?php the_title(); ?></h2>
                            <div class="content-post">
                                <?php the_field('custom_excerpt'); ?>
                            </div>
                            <a href="<?php echo get_permalink( $post->ID ); ?>">Learn More</a>
                        </li>

                        <?php endwhile;?><?php wp_reset_query(); ?>       

                    </ul>
                </div>
                <div id="custom-widget-webinars">
                    <h4>Webinars</h4>
                    <ul class="webinars-zm">

                        <?php 
                        query_posts(array( 
                            'post_type' => 'webinars',
                            'posts_per_page' => '2',
                            'order_by' => 'date',
                            'order' => 'DESC'
                        ) );  
                        ?>

                        <?php while (have_posts()) : the_post(); ?>

                        <?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );?>

                        <li>
                            <div class="img-webinar">
                                <i style="background:url(<?php echo $thumb['0'];?>); background-size:cover; background-position: center center;"></i>
                            </div>
                            <div class="content-webinar">
                                <h2><a href="<?php echo get_permalink( $post->ID ); ?>"><?php the_title(); ?></a></h2>
                                <span class="datezm"><?php echo get_the_date(); ?></span> <strong>By</strong> <span class="authorzm"><?php echo get_the_author_link(); ?></span>
                            </div>
                        </li>

                        <?php endwhile;?><?php wp_reset_query(); ?>       

                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>